import { useRoute } from 'vue-router'
import { deepCopy } from './dom'

export const getCurrentRoute = () => {
  const route = deepCopy(useRoute())
  if (route.path !== '/' && route.path.endsWith('/')) {
    route.path = route.path.substring(0, route.path.length - 1)
  }
  return route
}
